Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 262983 - dev-dotnet/evolution-sharp-0.18.1 needs to go stable along with gnome-2.24
Summary: dev-dotnet/evolution-sharp-0.18.1 needs to go stable along with gnome-2.24
Status: RESOLVED DUPLICATE of bug 234305
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High enhancement (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords: STABLEREQ
: 263563 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-03-19 03:21 UTC by Marco A. B. Tada
Modified: 2009-03-24 04:25 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-dotnet:evolution-sharp-0.18.1:20090322-161108.log (dev-dotnet:evolution-sharp-0.18.1:20090322-161108.log,54.38 KB, text/plain)
2009-03-22 16:16 UTC, Markus Meier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A. B. Tada 2009-03-19 03:21:49 UTC
When I do an emerge update, I get the following error:

gnome-extra/evolution-data-server:0

  ('ebuild', '/', 'gnome-extra/evolution-data-server-2.24.5-r2', 'merge') pulled in by
    >=gnome-extra/evolution-data-server-2.24.3 required by ('ebuild', '/', 'mail-client/evolution-2.24.5', 'merge')
    (and 10 more)

  ('ebuild', '/', 'gnome-extra/evolution-data-server-2.22.3-r2', 'merge') pulled in by
    <gnome-extra/evolution-data-server-2.24 required by ('installed', '/', 'dev-dotnet/evolution-sharp-0.17.4', 'nomerge')
    (and 10 more)

I think that the problem is that evolution-sharp doesn't get updated, and as a result it blocks other packages from gnome. This error also occurs on my machine at work, that is a i686 install, so I don't think this error is related to a specific architecture.

Reproducible: Always

Steps to Reproduce:
1.emerge --sync
2.emerge -uvaDN world
3.

Actual Results:  
The system doesn't get updated.

Expected Results:  
Gnome updated to 2.24.
Comment 1 Markus Meier gentoo-dev 2009-03-22 16:16:51 UTC
Created attachment 185887 [details]
dev-dotnet:evolution-sharp-0.18.1:20090322-161108.log

fails to build here:

/usr/bin/mcs -debug -unsafe /out:evolution-sharp.dll -define:USE_EDS_2_24 /target:library -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll   ./src/CalComponent.cs ./src/CalRecurrence.cs ./src/CalComponentDateTime.cs ./src/CalCompChanges.cs ./src/CalUtil.cs ./src/GLibUtil.cs ./src/SignalHandlers.cs ./src/ContactPhoto.cs ./src/Camel.cs ./src/Evolution.cs AssemblyInfo.cs generated/*.cs
./src/CalRecurrence.cs(156,31): warning CS0114: `Evolution.CalRecurrence.ToString()' hides inherited member `object.ToString()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword
/usr/lib/mono/1.0/mscorlib.dll (Location of the symbol related to previous warning)
generated/SourceGroup.cs(216,31): warning CS0108: `Evolution.SourceGroup.GetProperty(string)' hides inherited member `GLib.Object.GetProperty(string)'. Use the new keyword if hiding was intended
/usr/lib/mono/gac/glib-sharp/2.10.0.0__35e10195dab3c99f/glib-sharp.dll (Location of the symbol related to previous warning)
Book.custom(133,33): error CS0234: The type or namespace name `ExceptionManager' does not exist in the namespace `GLib'. Are you missing an assembly reference?
Book.custom(148,33): error CS0234: The type or namespace name `ExceptionManager' does not exist in the namespace `GLib'. Are you missing an assembly reference?
Book.custom(202,33): error CS0234: The type or namespace name `ExceptionManager' does not exist in the namespace `GLib'. Are you missing an assembly reference?
Book.custom(217,33): error CS0234: The type or namespace name `ExceptionManager' does not exist in the namespace `GLib'. Are you missing an assembly reference?
Compilation failed: 4 error(s), 2 warnings
make[2]: *** [evolution-sharp.dll] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-dotnet/evolution-sharp-0.18.1/work/evolution-sharp-0.18.1/evolution'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-dotnet/evolution-sharp-0.18.1/work/evolution-sharp-0.18.1'
make: *** [all] Error 2
 * 
 * ERROR: dev-dotnet/evolution-sharp-0.18.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2160:  Called _eapi2_src_compile
 *               ebuild.sh, line  643:  Called die
 * The specific snippet of code:
 *              emake || die "emake failed"
 *  The die message:
 *   emake failed

Portage 2.1.6.7 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.28.7 i686)
=================================================================
System uname: Linux-2.6.28.7-i686-Intel-R-_Core-TM-2_Duo_CPU_T8300_@_2.40GHz-with-glibc2.0
Timestamp of tree: Sun, 22 Mar 2009 14:30:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r14, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openfire/resources/security/ /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/fax /usr/share/config /var/bind /var/lib/hsqldb /var/spool/fax/etc /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_GB de"
MAKEOPTS="-j2"
PKGDIR="/mnt/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa apache2 avahi berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo examples fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde ldap libnotify mad midi mikmod mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session source spell spl ssl startup-notification svg sysfs tcpd test tiff truetype unicode usb vorbis win32codecs x86 xml xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB de" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-22 17:22:10 UTC
Oh, then it really does need gtk-sharp-2.12. We'll handle stabilizationon bug 234305 then.

*** This bug has been marked as a duplicate of bug 234305 ***
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-24 04:25:04 UTC
*** Bug 263563 has been marked as a duplicate of this bug. ***